/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';

.nv-toasts {
  height: auto;
  max-width: 480px;
  overflow: hidden;
  padding: $space-default;
  position: fixed;
  z-index: 1500;

  // Positions
  &.nv-toast-top-left {
    left: 1rem;
    top: 1rem;
  }

  &.nv-toast-top-right {
    right: 1rem;
    top: 1rem;
  }

  &.nv-toast-top-center {
    left: 50%;
    top: 1rem;
    transform: translateX(-50%);
  }

  &.nv-toast-bottom-left {
    bottom: 1rem;
    left: 1rem;
  }

  &.nv-toast-bottom-right {
    bottom: 1rem;
    right: 1rem;
  }

  &.nv-toast-bottom-center {
    bottom: 1rem;
    left: 50%;
    transform: translateX(-50%);
  }
}
